cdac.medinfo.sdk.hl7282.baselibs

## Class DLN

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.DLN

- All Implemented Interfaces:
    IDataType

      public class DLN
      extends CompositeDataType

  DLN - Driver's License Number

  This data type contains the driver's license information.

  Represents an HL7 DLN data type. This data type has the following attributes:

  1. License Number (ST)Required
  2. Issuing State, Province, Country (CWE)Optional
  3. Expiration Date (DT)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DLN()` Default Constructor for DLN
    `DLN(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for DLN class which takes two arguments and sets the value in the respective member variable.
    `DLN(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for DLN class which takes five arguments and sets the value in the respective member variable.
    `DLN(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for DLN class which takes six arguments and sets the value in the respective member variable.
    `DLN(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for DLN class which takes four arguments and sets the value in the respective member variable.
    `DLN(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for DLN class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `DT` | `getExpirationDate()` Returns Expiration Date
    `CWE` | `getIssuingStateProvinceCountry()` Returns Issuing State, Province, Country
    `ST` | `getLicenseNumber()` Returns License Number
    `void` | `setExpirationDate(DT objDT)` Sets the ExpirationDate.
    `void` | `setExpirationDate(java.lang.String strExpirationDate)` Sets the ExpirationDate.
    `void` | `setIssuingStateProvinceCountry(CWE objCWE)` Sets the IssuingStateProvinceCountry.
    `void` | `setIssuingStateProvinceCountry(java.lang.String strIssuingStateProvinceCountry)` Sets the IssuingStateProvinceCountry.
    `void` | `setLicenseNumber(ST objST)` Sets the LicenseNumber.
    `void` | `setLicenseNumber(java.lang.String strLicenseNumber)` Sets the LicenseNumber.
    `boolean` | `validate()` The Method validates the Input value,and if validated properly then returns true.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DLN

          public DLN()

      Default Constructor for DLN

    - #### DLN

          public DLN(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for DLN class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### DLN

          public DLN(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iTableNo,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for DLN class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### DLN

          public DLN(int iComponentType,
             IDataTypeMap objIDataTypeMap)

      Constructor for DLN class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### DLN

          public DLN(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             IDataTypeMap objIDataTypeMap)

      Constructor for DLN class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### DLN

          public DLN(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int ITableNo,
             IDataTypeMap objIDataTypeMap)

      Constructor for DLN class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setLicenseNumber

          public void setLicenseNumber(java.lang.String strLicenseNumber)

      Sets the LicenseNumber.
      Parameters:
        `strLicenseNumber` - Specifies the driver's license number.

    - #### setLicenseNumber

          public void setLicenseNumber(ST objST)

      Sets the LicenseNumber.
      Parameters:
        `objString` - Specifies the driver's license number.

    - #### setIssuingStateProvinceCountry

          public void setIssuingStateProvinceCountry(java.lang.String strIssuingStateProvinceCountry)

      Sets the IssuingStateProvinceCountry.
      Parameters:
        `strIssuingStateProvinceCountry` - Specifies issuing authority for drivers license.

    - #### setIssuingStateProvinceCountry

          public void setIssuingStateProvinceCountry(CWE objCWE)

      Sets the IssuingStateProvinceCountry.
      Parameters:
        `objCWE` - Specifies issuing authority for driver's license.

    - #### setExpirationDate

          public void setExpirationDate(java.lang.String strExpirationDate)

      Sets the ExpirationDate.
      Parameters:
        `strExpirationDate` - Specifies expiration date (DT) for driver's license.

    - #### setExpirationDate

          public void setExpirationDate(DT objDT)

      Sets the ExpirationDate.
      Parameters:
        `objDT` - Specifies expiration date (DT) for driver's license.

    - #### getLicenseNumber

          public ST getLicenseNumber()

      Returns License Number
      Returns:
        ST - data type.

    - #### getIssuingStateProvinceCountry

          public CWE getIssuingStateProvinceCountry()

      Returns Issuing State, Province, Country
      Returns:
        CWE - data type.

    - #### getExpirationDate

          public DT getExpirationDate()

      Returns Expiration Date
      Returns:
        DT - data type.

    - #### validate

          public boolean validate()
                           throws InvalidDataTypeException

      The Method validates the Input value,and if validated properly then returns true. Here the validation is based on the compulsory fields for the Datatype.
      Specified by:
        `validate` in interface `IDataType`
      Overrides:
        `validate` in class `CompositeDataType`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidDataTypeException` - - if Invalid values is entered or Mandatory field is missing.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.